//
//  ViewController.swift
//  AmpSimpleSample
//
//  Created by Lopez Valenciano, Miguel on 3/31/16.
//  Copyright © 2016 Akamai. All rights reserved.
//

import UIKit
import AmpCore

class ViewController: UIViewController, PlayerEventObserver {
    
    @IBOutlet weak var playerView: UIView!
    
    var ampPlayer: AmpPlayer!
    var ampPlayerManager: AmpPlayerManager!
    var uiAdapter: UIAdapter!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        self.createPlayer()
    }
    
    func createPlayer() {
        if self.ampPlayerManager == nil {
            let path = NSBundle.mainBundle().pathForResource("big", ofType:"mp4")
            let url = NSURL.fileURLWithPath(path!)
            print(url)
            
            // Instantiate player
            let rect = CGRectMake(10, 40, 390, 250)
            self.ampPlayerManager = AmpPlayerManager(parentView: self.view, playerFrame: rect)
            self.ampPlayer = self.ampPlayerManager.ampPlayer
            
            print("VERSION: \(self.ampPlayer.version)")

            // Register
            self.ampPlayerManager.ampPlayer.registerObserver(self)
            self.uiAdapter = UIAdapter(amplayerManager: self.ampPlayerManager, parentViewController: self)
            
            let times = [2.0, 4.0, 6.0, 8.0]
            _ = CuepointManager(ampPlayer: self.ampPlayer, observer: self, times: times)
            
            self.ampPlayerManager.setupPlayerWithUrl(url.absoluteString)
        }
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    // MARK: PlayerEventObserver
    
    func onInit(ampPlayer: AmpPlayer) {
        //        print("onInit")
    }
    
    func onPlaybackStateChanged(ampPlayer: AmpPlayer) {
        //        print("onPlaybackStateChanged")
    }
    
    func onBufferingStateChanged(ampPlayer: AmpPlayer) {
        //        print("onBufferingStateChanged")
        if (ampPlayer.bufferingState == BufferingState.Ready) {
            print("BufferingState.Ready")
            ampPlayer.play()
        }
    }
    
    func onPositionChange(ampPlayer: AmpPlayer) {
        //        print("time: %d", ampPlayer.currentTime())
    }
    
    func onCuepointReached(ampPlayer: AmpPlayer, atTime: Double) {
        print("cuepoint:  \(atTime) - time:\(ampPlayer.currentTime())")
    }
    
}